summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-05-12 23:21:36 +0300
committerBlackNoxis <steven.darklight@gmail.com>2015-05-12 23:21:36 +0300
commit2a0eb3310cd466de041bca720e1f7c0b1689a985 (patch)
tree09db33babb1c8bab67515489f00ab1f7cdbd094f /eclass
parente9be6446f1bf646f30bd6748adf28ef149be4696 (diff)
[kogaion-kernel.eclass] short modifications to kogaion kernel eclass
Diffstat (limited to 'eclass')
-rw-r--r--eclass/kogaion-kernel.eclass17
1 files changed, 6 insertions, 11 deletions
diff --git a/eclass/kogaion-kernel.eclass b/eclass/kogaion-kernel.eclass
index 82892701..36c0888c 100644
--- a/eclass/kogaion-kernel.eclass
+++ b/eclass/kogaion-kernel.eclass
@@ -219,7 +219,7 @@ fi
_get_real_kv_full() {
if [[ "${KV_MAJOR}${KV_MINOR}" -eq 26 ]]; then
echo "${ORIGINAL_KV_FULL}"
- elif [[ "${OKV/.*}" = "3" ]]; then
+ elif [[ "${OKV/.*}" -ge "3" ]]; then
# Linux 3.x support, KV_FULL is set to: 3.0-kogaion
# need to add another final .0 to the version part
echo "${ORIGINAL_KV_FULL/-/.0-}"
@@ -359,7 +359,7 @@ else
sys-apps/sed
sys-devel/autoconf
sys-devel/make
- || ( >=sys-kernel/genkernel-next-5 >=sys-kernel/genkernel-3.4.45-r2 )
+ || ( >=sys-kernel/genkernel-next-5[dmraid(+)?,mdadm(+)?] >=sys-kernel/genkernel-3.4.45-r2 )
arm? ( dev-embedded/u-boot-tools )
amd64? ( sys-apps/v86d )
x86? ( sys-apps/v86d )
@@ -433,11 +433,6 @@ kogaion-kernel_src_unpack() {
sed -i "s/^EXTRAVERSION :=.*//" "${S}/Makefile" || die
fi
OKV="${okv}"
-
- # Let's handle EAPIs 0 and 1...
- case ${EAPI:-0} in
- 0|1) kogaion-kernel_src_prepare ;;
- esac
}
kogaion-kernel_src_prepare() {
@@ -770,7 +765,7 @@ _get_release_level() {
echo "${KV_MAJOR}.${KV_MINOR}.${KV_PATCH}$(_get_real_extraversion)"
elif [[ "${KV_MAJOR}${KV_MINOR}" -eq 26 ]]; then
echo "${KV_FULL}"
- elif [[ "${OKV/.*}" = "3" ]] && [[ "${KV_PATCH}" = "0" ]]; then
+ elif [[ "${OKV/.*}" -ge "3" ]] && [[ "${KV_PATCH}" = "0" ]]; then
# Linux 3.x support, KV_FULL is set to: 3.0-kogaion
# need to add another final .0 to the version part
echo "${KV_FULL/-/.0-}"
@@ -959,9 +954,9 @@ kogaion-kernel_pkg_postrm() {
# export all the available functions here
case ${EAPI:-0} in
- 0|1) extra_export_funcs= ;;
- *) extra_export_funcs=src_prepare ;;
+ [01234])
+ die "EAPI ${EAPI:-0} is not supported"
esac
-EXPORT_FUNCTIONS pkg_setup src_unpack ${extra_export_funcs} \
+EXPORT_FUNCTIONS pkg_setup src_unpack src_prepare \
src_compile src_install pkg_preinst pkg_postinst pkg_prerm pkg_postrm